
Infrastructure - Task #7315

/object get blank page on both mn and cn

2015-08-25 18:18 - Jing Tao

Status: Closed Start date: 2015-08-25

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

https://mn-demo-6.test.dataone.org/knb/d1/mn/v2/object

https://cn-dev-ucsb-1.test.dataone.org/cn/v2/object

also make sure that the slicing work:

https://cn-dev-ucsb-1.test.dataone.org/cn/v2/object/?count=10

History

#1 - 2015-08-26 22:47 - Skye Roseboom

- % Done changed from 0 to 30

- Status changed from New to In Progress

#2 - 2015-08-26 22:47 - Skye Roseboom

- % Done changed from 30 to 50

- Status changed from In Progress to Testing

- Assignee changed from Jing Tao to Skye Roseboom

#3 - 2015-08-26 22:50 - Skye Roseboom

The URLs in the description are demonstrating correct behavior as is paging using the 'start' parameter.

Both MN and CN incorrectly display the 'total=0' value when 'count=0' is used = should show total documents count.

https://mn-demo-6.test.dataone.org/knb/d1/mn/v2/object/?count=0

https://cn-dev-ucsb-1.test.dataone.org/cn/v2/object/?count=0

#4 - 2015-08-26 22:50 - Skye Roseboom

- Assignee changed from Skye Roseboom to Jing Tao

- Status changed from Testing to In Progress

- % Done changed from 50 to 30

#5 - 2015-08-27 00:08 - Jing Tao

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

- Assignee changed from Jing Tao to Skye Roseboom

#6 - 2015-08-27 16:08 - Skye Roseboom

The behavior when count=0 works now!  Fixed!
There is some slight variation in paging behavior between MN and CN:

https://cn-dev-orc-1.test.dataone.org/cn/v2/object/?count=100&start=100 (shows 101-200)

while:

https://mn-demo-6.test.dataone.org/knb/d1/mn/v2/object/?count=100&start=100 (shows 100-200).

Current production CN behavior:

https://cn.dataone.org/cn/v1/object/?count=100&start=100 (shows 101-200)

#7 - 2015-08-27 16:09 - Skye Roseboom

- % Done changed from 50 to 30

- Assignee changed from Skye Roseboom to Jing Tao

- Status changed from Testing to In Progress

#8 - 2015-08-27 19:37 - Jing Tao

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 30 to 100

Actually, the start attribute has the value "100" in both CN and MN returned xml file. But the xslt adds one to that value and renders it to "101".
